### Method

# Cally Actor add_action_full

#### Declaration [src]

    guint
    cally_actor_add_action_full (
      CallyActor* cally_actor,
      const gchar* action_name,
      const gchar* action_description,
      const gchar* action_keybinding,
      CallyActionCallback callback,
      gpointer user_data,
      GDestroyNotify notify
    )

#### Description [src]

Adds a new action to be accessed with the `AtkAction` interface.

This method is renamed to `cally_actor_add_action()` in language bindings.

#### Parameters

`action_name`

  Type: `const gchar*`

  The action name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`action_description`

  Type: `const gchar*`

  The action description.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`action_keybinding`

  Type: `const gchar*`

  The action keybinding.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`callback`

  Type: `CallyActionCallback`

  The callback of the action.

`user_data`

  Type: `gpointer`

  Data to be passed to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`notify`

  Type: `GDestroyNotify`

  Function to be called when removing the action.

#### Return value

Type: `guint`

Added action id, or -1 if failure.